org.wildfly.swarm.config.management.access

## Class SyslogHandler<T extends SyslogHandler<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.management.access.SyslogHandler<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class SyslogHandler<T extends SyslogHandler<T>>
      extends HashMap

  A syslog handler for use with the management audit logging service.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SyslogHandler.Facility`
    `static class` | `SyslogHandler.SyslogFormat`
    `static class` | `SyslogHandler.SyslogHandlerResources` Child mutators for SyslogHandler

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SyslogHandler(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `appName()` The application name to add to the syslog records as defined in section 6.2.5 of RFC-5424.
    `T` | `appName(String value)` The application name to add to the syslog records as defined in section 6.2.5 of RFC-5424.
    `Boolean` | `disabledDueToFailure()` Whether this handler has been disabled due to logging failures.
    `T` | `disabledDueToFailure(Boolean value)` Whether this handler has been disabled due to logging failures.
    `SyslogHandler.Facility` | `facility()` The facility to use for syslog logging as defined in section 6.2.1 of RFC-5424, and section 4.1.1 of RFC-3164.
    `T` | `facility(SyslogHandler.Facility value)` The facility to use for syslog logging as defined in section 6.2.1 of RFC-5424, and section 4.1.1 of RFC-3164.
    `Integer` | `failureCount()` The number of logging failures since the handler was initialized.
    `T` | `failureCount(Integer value)` The number of logging failures since the handler was initialized.
    `String` | `formatter()` The formatter used to format the log messages.
    `T` | `formatter(String value)` The formatter used to format the log messages.
    `String` | `getKey()`
    `Integer` | `maxFailureCount()` The maximum number of logging failures before disabling this handler.
    `T` | `maxFailureCount(Integer value)` The maximum number of logging failures before disabling this handler.
    `Integer` | `maxLength()` The maximum length in bytes a log message, including the header, is allowed to be.
    `T` | `maxLength(Integer value)` The maximum length in bytes a log message, including the header, is allowed to be.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `SyslogHandler.SyslogHandlerResources` | `subresources()`
    `SyslogHandler.SyslogFormat` | `syslogFormat()` Whether to set the syslog format to the one specified in RFC-5424 or RFC-3164.
    `T` | `syslogFormat(SyslogHandler.SyslogFormat value)` Whether to set the syslog format to the one specified in RFC-5424 or RFC-3164.
    `T` | `tcpProtocol()` Configuration to append to syslog over tcp/ip.
    `T` | `tcpProtocol(TcpProtocol value)` Configuration to append to syslog over tcp/ip.
    `T` | `tcpProtocol(TcpProtocolConsumer consumer)` Configuration to append to syslog over tcp/ip.
    `T` | `tcpProtocol(TcpProtocolSupplier supplier)` Configuration to append to syslog over tcp/ip.
    `T` | `tlsProtocol()` Configuration to append to syslog over tls over tcp/ip.
    `T` | `tlsProtocol(TlsProtocol value)` Configuration to append to syslog over tls over tcp/ip.
    `T` | `tlsProtocol(TlsProtocolConsumer consumer)` Configuration to append to syslog over tls over tcp/ip.
    `T` | `tlsProtocol(TlsProtocolSupplier supplier)` Configuration to append to syslog over tls over tcp/ip.
    `Boolean` | `truncate()` Whether or not a message, including the header, should truncate the message if the length in bytes is greater than the maximum length.
    `T` | `truncate(Boolean value)` Whether or not a message, including the header, should truncate the message if the length in bytes is greater than the maximum length.
    `T` | `udpProtocol()` Configuration to append to syslog over udp/ip.
    `T` | `udpProtocol(UdpProtocol value)` Configuration to append to syslog over udp/ip.
    `T` | `udpProtocol(UdpProtocolConsumer consumer)` Configuration to append to syslog over udp/ip.
    `T` | `udpProtocol(UdpProtocolSupplier supplier)` Configuration to append to syslog over udp/ip.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### SyslogHandler

          public SyslogHandler(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public SyslogHandler.SyslogHandlerResources subresources()

    - #### tcpProtocol

          public T tcpProtocol(TcpProtocol value)

      Configuration to append to syslog over tcp/ip.

    - #### tcpProtocol

          public T tcpProtocol(TcpProtocolConsumer consumer)

      Configuration to append to syslog over tcp/ip.

    - #### tcpProtocol

          public T tcpProtocol()

      Configuration to append to syslog over tcp/ip.

    - #### tcpProtocol

          public T tcpProtocol(TcpProtocolSupplier supplier)

      Configuration to append to syslog over tcp/ip.

    - #### udpProtocol

          public T udpProtocol(UdpProtocol value)

      Configuration to append to syslog over udp/ip.

    - #### udpProtocol

          public T udpProtocol(UdpProtocolConsumer consumer)

      Configuration to append to syslog over udp/ip.

    - #### udpProtocol

          public T udpProtocol()

      Configuration to append to syslog over udp/ip.

    - #### udpProtocol

          public T udpProtocol(UdpProtocolSupplier supplier)

      Configuration to append to syslog over udp/ip.

    - #### tlsProtocol

          public T tlsProtocol(TlsProtocol value)

      Configuration to append to syslog over tls over tcp/ip.

    - #### tlsProtocol

          public T tlsProtocol(TlsProtocolConsumer consumer)

      Configuration to append to syslog over tls over tcp/ip.

    - #### tlsProtocol

          public T tlsProtocol()

      Configuration to append to syslog over tls over tcp/ip.

    - #### tlsProtocol

          public T tlsProtocol(TlsProtocolSupplier supplier)

      Configuration to append to syslog over tls over tcp/ip.

    - #### appName

          public String appName()

      The application name to add to the syslog records as defined in section 6.2.5 of RFC-5424. If not specified it will default to the name of the product.

    - #### appName

          public T appName(String value)

      The application name to add to the syslog records as defined in section 6.2.5 of RFC-5424. If not specified it will default to the name of the product.

    - #### disabledDueToFailure

          public Boolean disabledDueToFailure()

      Whether this handler has been disabled due to logging failures.

    - #### disabledDueToFailure

          public T disabledDueToFailure(Boolean value)

      Whether this handler has been disabled due to logging failures.

    - #### facility

          public SyslogHandler.Facility facility()

      The facility to use for syslog logging as defined in section 6.2.1 of RFC-5424, and section 4.1.1 of RFC-3164.

    - #### facility

          public T facility(SyslogHandler.Facility value)

      The facility to use for syslog logging as defined in section 6.2.1 of RFC-5424, and section 4.1.1 of RFC-3164.

    - #### failureCount

          public Integer failureCount()

      The number of logging failures since the handler was initialized.

    - #### failureCount

          public T failureCount(Integer value)

      The number of logging failures since the handler was initialized.

    - #### formatter

          public String formatter()

      The formatter used to format the log messages.

    - #### formatter

          public T formatter(String value)

      The formatter used to format the log messages.

    - #### maxFailureCount

          public Integer maxFailureCount()

      The maximum number of logging failures before disabling this handler.

    - #### maxFailureCount

          public T maxFailureCount(Integer value)

      The maximum number of logging failures before disabling this handler.

    - #### maxLength

          public Integer maxLength()

      The maximum length in bytes a log message, including the header, is allowed to be. If undefined, it will default to 1024 bytes if the syslog-format is RFC3164, or 2048 bytes if the syslog-format is RFC5424.

    - #### maxLength

          public T maxLength(Integer value)

      The maximum length in bytes a log message, including the header, is allowed to be. If undefined, it will default to 1024 bytes if the syslog-format is RFC3164, or 2048 bytes if the syslog-format is RFC5424.

    - #### syslogFormat

          public SyslogHandler.SyslogFormat syslogFormat()

      Whether to set the syslog format to the one specified in RFC-5424 or RFC-3164.

    - #### syslogFormat

          public T syslogFormat(SyslogHandler.SyslogFormat value)

      Whether to set the syslog format to the one specified in RFC-5424 or RFC-3164.

    - #### truncate

          public Boolean truncate()

      Whether or not a message, including the header, should truncate the message if the length in bytes is greater than the maximum length. If set to false messages will be split and sent with the same header values.

    - #### truncate

          public T truncate(Boolean value)

      Whether or not a message, including the header, should truncate the message if the length in bytes is greater than the maximum length. If set to false messages will be split and sent with the same header values.

Copyright © 2017 JBoss by Red Hat. All rights reserved.